Retrieve a specific search
curl --request GET \
--url https://app.pipecorn.com/api/v2/searches/{id} \
--header 'X-API-KEY: <api-key>'import requests
url = "https://app.pipecorn.com/api/v2/searches/{id}"
headers = {"X-API-KEY": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-KEY': '<api-key>'}};
fetch('https://app.pipecorn.com/api/v2/searches/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.pipecorn.com/api/v2/searches/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-API-KEY: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://app.pipecorn.com/api/v2/searches/{id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-KEY", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://app.pipecorn.com/api/v2/searches/{id}")
.header("X-API-KEY", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://app.pipecorn.com/api/v2/searches/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-API-KEY"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"search": {
"uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"status": "finished",
"results_ready": true
},
"leads": [
{
"lead": {
"status": "QUALIFIED",
"rejection_reasons": [
"<string>"
],
"first_name": "<string>",
"last_name": "<string>",
"gender": "<string>",
"email": "<string>",
"email_status": "<string>",
"phone": [
{}
],
"linkedin_url": "<string>",
"linkedin_id_url": "<string>",
"profile_image_url": "<string>",
"location": "<string>",
"title": "<string>",
"lk_headline": "<string>",
"hire_type": "new_hire",
"current_position": {},
"previous_position": {},
"positions": [
{}
],
"years_in_position": 123,
"months_in_position": 123,
"years_in_company": 123,
"months_in_company": 123
},
"company": {
"name": "<string>",
"cleaned_name": "<string>",
"website": "<string>",
"location": "<string>",
"industry": "<string>",
"headquarters": {},
"description": "<string>",
"linkedin_url": "<string>",
"linkedin_id": "<string>",
"employee_range": "<string>",
"company_profile_picture": "<string>"
}
}
]
}{
"error": 123,
"message": "<string>"
}Searches
Retrieve the details of a Search
Returns a specific search and its leads by ID.
GET
/
searches
/
{id}
Retrieve a specific search
curl --request GET \
--url https://app.pipecorn.com/api/v2/searches/{id} \
--header 'X-API-KEY: <api-key>'import requests
url = "https://app.pipecorn.com/api/v2/searches/{id}"
headers = {"X-API-KEY": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-KEY': '<api-key>'}};
fetch('https://app.pipecorn.com/api/v2/searches/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.pipecorn.com/api/v2/searches/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-API-KEY: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://app.pipecorn.com/api/v2/searches/{id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-KEY", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://app.pipecorn.com/api/v2/searches/{id}")
.header("X-API-KEY", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://app.pipecorn.com/api/v2/searches/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-API-KEY"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"search": {
"uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"status": "finished",
"results_ready": true
},
"leads": [
{
"lead": {
"status": "QUALIFIED",
"rejection_reasons": [
"<string>"
],
"first_name": "<string>",
"last_name": "<string>",
"gender": "<string>",
"email": "<string>",
"email_status": "<string>",
"phone": [
{}
],
"linkedin_url": "<string>",
"linkedin_id_url": "<string>",
"profile_image_url": "<string>",
"location": "<string>",
"title": "<string>",
"lk_headline": "<string>",
"hire_type": "new_hire",
"current_position": {},
"previous_position": {},
"positions": [
{}
],
"years_in_position": 123,
"months_in_position": 123,
"years_in_company": 123,
"months_in_company": 123
},
"company": {
"name": "<string>",
"cleaned_name": "<string>",
"website": "<string>",
"location": "<string>",
"industry": "<string>",
"headquarters": {},
"description": "<string>",
"linkedin_url": "<string>",
"linkedin_id": "<string>",
"employee_range": "<string>",
"company_profile_picture": "<string>"
}
}
]
}{
"error": 123,
"message": "<string>"
}Search Status
The search object includes astatus field that indicates the current state of the search operation. The possible status values are:
Active Statuses
NOT_STARTED: The search has been created but has not yet begun processingONGOING: The search is currently being processed and generating resultsFINISHED: The search has completed successfully and all results are available
Error Statuses
RATE_LIMITED: The search was interrupted due to rate limiting constraintsUNAUTHORIZED: The search failed due to authentication issuesFORBIDDEN: The search failed due to insufficient permissionsERROR: The search encountered an error during processing
FINISHED, all leads are available and ready to be retrieved. For searches with error statuses, you may need to retry the search or check your API credentials and permissions.Authorizations
Your API key
Path Parameters
ID of the search to retrieve
Query Parameters
Filter leads by their qualification status
Available options:
qualified, disqualified Was this page helpful?